function FieldPattern = DipoleFieldPattern(Vant, Vscatter,polarization_direction,polarization_setting,RotMatrix)
FieldPattern=zeros(2,1);
G=1.64;
dV=RotMatrix*(Vscatter-Vant);       % in LCS
[az,el,r]=cart2sph(dV(1),dV(2),dV(3));
if polarization_setting==1
   
    
    if mod(polarization_direction,2)==1
        
        FieldPattern(1)=sqrt(G)*cos(pi/2*cos(el))/sin(el+eps)*cos(az);
        FieldPattern(2)=sqrt(G)*cos(pi/2*cos(el))/sin(el+eps)*sin(az);
    else
        FieldPattern(1)=sqrt(G)*cos(pi/2*cos(el))/sin(el+eps)*sin(az);
        FieldPattern(2)=sqrt(G)*cos(pi/2*cos(el))/sin(el+eps)*cos(az);
    end
    
else
    FieldPattern(1)=sqrt(G)*cos(pi/2*cos(el))/sin(el+eps);
    FieldPattern(2)=sqrt(G)*cos(pi/2*cos(el))/sin(el+eps);
end
